Bug 479277 - RHEL4 kvm virtio: hwdata support for virtio devices
RHEL4 kvm virtio: hwdata support for virtio devices
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: hwdata (Show other bugs)
4.8
All Linux
low Severity medium
: rc
: ---
Assigned To: Karsten Hopp
BaseOS QE
:
Depends On:
Blocks: 446215 479691 583920
  Show dependency treegraph
 
Reported: 2009-01-08 10:49 EST by Chris Lalancette
Modified: 2010-04-20 04:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 583920 (view as bug list)
Environment:
Last Closed: 2009-05-18 16:18:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add virtio devices to the pci* files (1.33 KB, patch)
2009-01-08 10:50 EST, Chris Lalancette
no flags Details | Diff

  None (edit)
Description Chris Lalancette 2009-01-08 10:49:31 EST
I'm not sure how this is normally done, so I'll just post what I have here and we can sort this out.  In order for virtio anaconda support to work properly, we must have the appropriate entries in the /usr/share/hwdata/pcitable and /usr/share/hwdata/pci.ids files.  The patch that I'll attach to this BZ shows what I've done to get this working; with this in place, I was actually able to start an anaconda install on a virtio device (although another bug which I'm working on won't let me complete it).
Comment 1 Chris Lalancette 2009-01-08 10:50:03 EST
Created attachment 328472 [details]
Patch to add virtio devices to the pci* files
Comment 2 Phil Knirsch 2009-01-08 11:22:55 EST
Granting Devel ACK.

Thanks & regards, Phil
Comment 3 Martin Kočí 2009-01-08 11:49:26 EST
Do you have some testcases or any info for QE ?
Comment 4 Chris Lalancette 2009-01-08 11:57:37 EST
It should be pretty simple; once this is all in place (i.e. this BZ, and all of the other userspace ones for virtio), we *should* be able to do a KVM guest install to a guest with a virtio block device.  That is, on an F-10 box with KVM, you should be able to do something like:

virt-install -n rhel4virtio -r 1024 -f /var/lib/libvirt/images/rhel4virtio.dsk -s 10 -v --vnc --accelerate --os-type=linux --os-variant='genericvirtio26' -c /path/to/boot.iso

And you should be able to successfully complete an install.

Chris Lalancette
Comment 9 Milos Malik 2009-01-27 08:42:01 EST
Which version of python-virtinst do I need to get it running?

# rpm -qf `which virt-install`
python-virtinst-0.400.0-5.fc10.noarch
# virt-install -n rhel4virtio -r 1024 -f /var/lib/libvirt/images/rhel4virtio.dsk -s 5 -v --vnc --accelerate --os-type=linux --os-variant='genericvirtio26' -c /mnt/mirror/rhel/RHEL-4/U7/AS/i386/RHEL4-U7-re20080711.0-i386-AS-DVD-ftp.iso 
ERROR    OS variant 'genericvirtio26; does not exist in our dictionary for OS type 'linux'
Traceback (most recent call last):
  File "/usr/sbin/virt-install", line 692, in <module>
    main()
  File "/usr/sbin/virt-install", line 594, in main
    guest.set_os_variant(options.os_variant)
  File "/usr/lib/python2.5/site-packages/virtinst/FullVirtGuest.py", line 234, in set_os_variant
    {'var' : val, 'ty' : self._os_type}
ValueError: OS variant 'genericvirtio26; does not exist in our dictionary for OS type 'linux'
Comment 10 Milos Malik 2009-01-27 11:10:44 EST
Answer found :-) at least python-virtinst-0.400.1

And the command line can look like this:
# virt-install -n rhel4virtio -r 512 -v --vnc --accelerate --os-type=linux --os-variant='virtio26' --disk path=/var/lib/libvirt/images/rhel4virtio.dsk,size=5,sparse=true -c /path/to/iso --force
Comment 21 errata-xmlrpc 2009-05-18 16:18:02 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0983.html

Note You need to log in before you can comment on or make changes to this bug.